classification
Title: SRE: posix classes aren't supported
Type: enhancement Stage:
Components: Regular Expressions Versions: Python 3.2
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Adding a new regex module (compatible with re)
View: 2636
Assigned To: effbot Nosy List: BreamoreBoy, effbot, georg.brandl, timehorse
Priority: low Keywords:

Created on 2001-06-14 08:29 by effbot, last changed 2010-08-22 00:06 by georg.brandl. This issue is now closed.

Messages (5)
msg53163 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2001-06-14 08:29
from the jeffrey friedl report:

Posix class stuff aren't supported.
msg73876 - (view) Author: Jeffrey C. Jacobs (timehorse) Date: 2008-09-26 18:09
To clarify, you mean named character sets as found in Perl and Emacs,
which are normally written, for example, like '[:ALPHANUM:]', right?  We
are working on that as Item 8 of Issue 2636: Regexp 2.7.  If not, please
clarify so I nknow what needs to be added.  Thanks!
msg73924 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2008-09-27 14:45
Yes, this refers to the POSIX character classes as described here:

http://www.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap09.html

(Ideally, there should be an (internal) API that lets you register class 
definitions from the Python level.)

Support for Unicode properties could perhaps be addressed at the same 
time:

http://unicode.org/unicode/reports/tr18/#Basic_Unicode_Support
msg114139 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-17 17:58
This has not been implemented as part of the new regex module, see :-

http://mail.python.org/pipermail/python-dev/2010-July/102181.html
msg114620 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-22 00:06
Implemented in #2636.
History
Date User Action Args
2010-08-22 00:06:08georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114620

superseder: Adding a new regex module (compatible with re)
resolution: duplicate
2010-08-17 17:58:16BreamoreBoysetnosy: + BreamoreBoy

messages: + msg114139
versions: + Python 3.2, - Python 2.7
2008-09-27 14:45:46effbotsetmessages: + msg73924
2008-09-26 18:09:33timehorsesetnosy: + timehorse
messages: + msg73876
versions: + Python 2.7
2001-06-14 08:29:22effbotcreate